# Generated by the protocol buffer compiler.  DO NOT EDIT!
# sources: eventStream.proto
# plugin: python-betterproto
from dataclasses import dataclass
from typing import AsyncIterator

import betterproto
import grpclib


class EventStreamingServiceStub(betterproto.ServiceStub):
    async def event_stream(self, *, id: int = 0) -> AsyncIterator["_ctrlmsg__.Event"]:

        request = _common__.UserId()
        request.id = id

        async for response in self._unary_stream(
            "/streaming.EventStreamingService/EventStream",
            request,
            _ctrlmsg__.Event,
        ):
            yield response


from .. import common as _common__
from .. import ctrlmsg as _ctrlmsg__
